Update VOD Push Default Behavior
Saves changes to the zone's default behavior entry. The payload structure is identical to a rule update (RulePayload) but the name and rule fields are effectively ignored — only options is applied. behaviorId is the id from the behaviors array returned by GET rules.
curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/12345/rules/behavior/1" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"name": "default",
"rule": "/",
"options": {
"edge_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"midgress_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"browser_cache_settings": {
"enabled": null,
"control": "default",
"value": "345600s",
"custom": {
"value": ""
}
},
"ignore_cookie": {
"enabled": null
},
"ignoreQueryString": {
"enabled": null,
"control": null,
"value": null
},
"query_params_blacklist": {
"enabled": null,
"value": null
},
"query_params_whitelist": {
"enabled": null,
"value": null
},
"country_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"ip_address_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"user_agent_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": [],
"casesensitive": false
},
"referrer_acl": {
"enabled": null,
"policy_type": "allow",
"noreferer": false,
"excepted_values": [],
"ip_whitelists": []
},
"secure_key": {
"enabled": null,
"policy_type": 0,
"session": 0,
"key": "",
"ip_whitelists": [],
"type": false
},
"gzipOn": {
"enabled": null
},
"fetch_compressed": {
"enabled": null
},
"brotli_compression": {
"enabled": null,
"value": ""
},
"slice": {
"enabled": null
},
"limit_bandwidth": {
"enabled": null,
"limit_type": "static",
"speed": 12000,
"buffer": 1024
},
"disposition": {
"enabled": null,
"value": 0
},
"limit_request": {
"enabled": null,
"rate": 9,
"burst": 98,
"delay": 96,
"ip_whitelists": []
},
"rewrite": {
"enabled": null,
"body": "",
"flag": "break"
},
"host_redirect": {
"enabled": null,
"to": "",
"value": []
},
"redirect_http_to_https": {
"enabled": null
},
"allowedHttpMethods": {
"enabled": null,
"value": null
},
"follow_origin_redirect": {
"enabled": null,
"codes": []
},
"hsts": {
"enabled": null,
"referrerPolicy": "no-referrer",
"includeSubDomains": true,
"preload": true
},
"xff": {
"enabled": null
},
"sni": {
"enabled": null,
"sni_type": "dynamic",
"custom_hostname": ""
},
"tls_versions": {
"enabled": null,
"value": []
},
"image_stack": {
"enabled": null,
"quality": "Disabled",
"webp": "Disabled",
"avif": "Disabled",
"png_loseless": "true"
},
"asset_stack": {
"enabled": null,
"combine_css": false,
"MaxCombinedCssBytes": -1,
"flatten_css_imports": false,
"CssFlattenMaxBytes": null,
"inline_css": false,
"CssInlineMaxBytes": null,
"outline_css": false,
"CssOutlineMinBytes": null,
"rewrite_css": false,
"fallback_rewrite_css_urls": false,
"combine_javascript": false,
"MaxCombinedJsBytes": null,
"defer_javascript": false,
"inline_javascript": false,
"JsInlineMaxBytes": null,
"rewrite_javascript": false,
"outline_javascript": false,
"JsOutlineMinBytes": null,
"collapse_whitespace": false,
"remove_comments": false,
"remove_quotes": false,
"CombineAcrossPaths": false
},
"cms": {
"enabled": null,
"value": []
},
"force_return": {
"enabled": null,
"code": 200,
"body": ""
},
"stale": {
"enabled": null,
"value": ""
},
"staticHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"staticRequestHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"response_headers_hiding_policy": {
"enabled": null,
"mode": "hide",
"expected": {
"hide": [],
"show": []
}
},
"hostHeader": {
"enabled": null,
"control": "forward",
"custom": ""
},
"forward_host_header": {
"enabled": null
},
"honor_vary": {
"enabled": null
},
"cors": {
"enabled": null,
"control": "*",
"always": false,
"value": "*",
"custom": ""
}
}
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/12345/rules/behavior/1"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"name": "default",
"rule": "/",
"options": {
"edge_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"midgress_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"browser_cache_settings": {
"enabled": null,
"control": "default",
"value": "345600s",
"custom": {
"value": ""
}
},
"ignore_cookie": {
"enabled": null
},
"ignoreQueryString": {
"enabled": null,
"control": null,
"value": null
},
"query_params_blacklist": {
"enabled": null,
"value": null
},
"query_params_whitelist": {
"enabled": null,
"value": null
},
"country_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"ip_address_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"user_agent_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": [],
"casesensitive": false
},
"referrer_acl": {
"enabled": null,
"policy_type": "allow",
"noreferer": false,
"excepted_values": [],
"ip_whitelists": []
},
"secure_key": {
"enabled": null,
"policy_type": 0,
"session": 0,
"key": "",
"ip_whitelists": [],
"type": false
},
"gzipOn": {
"enabled": null
},
"fetch_compressed": {
"enabled": null
},
"brotli_compression": {
"enabled": null,
"value": ""
},
"slice": {
"enabled": null
},
"limit_bandwidth": {
"enabled": null,
"limit_type": "static",
"speed": 12000,
"buffer": 1024
},
"disposition": {
"enabled": null,
"value": 0
},
"limit_request": {
"enabled": null,
"rate": 9,
"burst": 98,
"delay": 96,
"ip_whitelists": []
},
"rewrite": {
"enabled": null,
"body": "",
"flag": "break"
},
"host_redirect": {
"enabled": null,
"to": "",
"value": []
},
"redirect_http_to_https": {
"enabled": null
},
"allowedHttpMethods": {
"enabled": null,
"value": null
},
"follow_origin_redirect": {
"enabled": null,
"codes": []
},
"hsts": {
"enabled": null,
"referrerPolicy": "no-referrer",
"includeSubDomains": true,
"preload": true
},
"xff": {
"enabled": null
},
"sni": {
"enabled": null,
"sni_type": "dynamic",
"custom_hostname": ""
},
"tls_versions": {
"enabled": null,
"value": []
},
"image_stack": {
"enabled": null,
"quality": "Disabled",
"webp": "Disabled",
"avif": "Disabled",
"png_loseless": "true"
},
"asset_stack": {
"enabled": null,
"combine_css": false,
"MaxCombinedCssBytes": -1,
"flatten_css_imports": false,
"CssFlattenMaxBytes": null,
"inline_css": false,
"CssInlineMaxBytes": null,
"outline_css": false,
"CssOutlineMinBytes": null,
"rewrite_css": false,
"fallback_rewrite_css_urls": false,
"combine_javascript": false,
"MaxCombinedJsBytes": null,
"defer_javascript": false,
"inline_javascript": false,
"JsInlineMaxBytes": null,
"rewrite_javascript": false,
"outline_javascript": false,
"JsOutlineMinBytes": null,
"collapse_whitespace": false,
"remove_comments": false,
"remove_quotes": false,
"CombineAcrossPaths": false
},
"cms": {
"enabled": null,
"value": []
},
"force_return": {
"enabled": null,
"code": 200,
"body": ""
},
"stale": {
"enabled": null,
"value": ""
},
"staticHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"staticRequestHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"response_headers_hiding_policy": {
"enabled": null,
"mode": "hide",
"expected": {
"hide": [],
"show": []
}
},
"hostHeader": {
"enabled": null,
"control": "forward",
"custom": ""
},
"forward_host_header": {
"enabled": null
},
"honor_vary": {
"enabled": null
},
"cors": {
"enabled": null,
"control": "*",
"always": false,
"value": "*",
"custom": ""
}
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/12345/rules/behavior/1", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"name": "default",
"rule": "/",
"options": {
"edge_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"midgress_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"browser_cache_settings": {
"enabled": null,
"control": "default",
"value": "345600s",
"custom": {
"value": ""
}
},
"ignore_cookie": {
"enabled": null
},
"ignoreQueryString": {
"enabled": null,
"control": null,
"value": null
},
"query_params_blacklist": {
"enabled": null,
"value": null
},
"query_params_whitelist": {
"enabled": null,
"value": null
},
"country_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"ip_address_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"user_agent_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": [],
"casesensitive": false
},
"referrer_acl": {
"enabled": null,
"policy_type": "allow",
"noreferer": false,
"excepted_values": [],
"ip_whitelists": []
},
"secure_key": {
"enabled": null,
"policy_type": 0,
"session": 0,
"key": "",
"ip_whitelists": [],
"type": false
},
"gzipOn": {
"enabled": null
},
"fetch_compressed": {
"enabled": null
},
"brotli_compression": {
"enabled": null,
"value": ""
},
"slice": {
"enabled": null
},
"limit_bandwidth": {
"enabled": null,
"limit_type": "static",
"speed": 12000,
"buffer": 1024
},
"disposition": {
"enabled": null,
"value": 0
},
"limit_request": {
"enabled": null,
"rate": 9,
"burst": 98,
"delay": 96,
"ip_whitelists": []
},
"rewrite": {
"enabled": null,
"body": "",
"flag": "break"
},
"host_redirect": {
"enabled": null,
"to": "",
"value": []
},
"redirect_http_to_https": {
"enabled": null
},
"allowedHttpMethods": {
"enabled": null,
"value": null
},
"follow_origin_redirect": {
"enabled": null,
"codes": []
},
"hsts": {
"enabled": null,
"referrerPolicy": "no-referrer",
"includeSubDomains": true,
"preload": true
},
"xff": {
"enabled": null
},
"sni": {
"enabled": null,
"sni_type": "dynamic",
"custom_hostname": ""
},
"tls_versions": {
"enabled": null,
"value": []
},
"image_stack": {
"enabled": null,
"quality": "Disabled",
"webp": "Disabled",
"avif": "Disabled",
"png_loseless": "true"
},
"asset_stack": {
"enabled": null,
"combine_css": false,
"MaxCombinedCssBytes": -1,
"flatten_css_imports": false,
"CssFlattenMaxBytes": null,
"inline_css": false,
"CssInlineMaxBytes": null,
"outline_css": false,
"CssOutlineMinBytes": null,
"rewrite_css": false,
"fallback_rewrite_css_urls": false,
"combine_javascript": false,
"MaxCombinedJsBytes": null,
"defer_javascript": false,
"inline_javascript": false,
"JsInlineMaxBytes": null,
"rewrite_javascript": false,
"outline_javascript": false,
"JsOutlineMinBytes": null,
"collapse_whitespace": false,
"remove_comments": false,
"remove_quotes": false,
"CombineAcrossPaths": false
},
"cms": {
"enabled": null,
"value": []
},
"force_return": {
"enabled": null,
"code": 200,
"body": ""
},
"stale": {
"enabled": null,
"value": ""
},
"staticHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"staticRequestHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"response_headers_hiding_policy": {
"enabled": null,
"mode": "hide",
"expected": {
"hide": [],
"show": []
}
},
"hostHeader": {
"enabled": null,
"control": "forward",
"custom": ""
},
"forward_host_header": {
"enabled": null
},
"honor_vary": {
"enabled": null
},
"cors": {
"enabled": null,
"control": "*",
"always": false,
"value": "*",
"custom": ""
}
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "default",
"rule": "/",
"options": {
"edge_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"midgress_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"browser_cache_settings": {
"enabled": null,
"control": "default",
"value": "345600s",
"custom": {
"value": ""
}
},
"ignore_cookie": {
"enabled": null
},
"ignoreQueryString": {
"enabled": null,
"control": null,
"value": null
},
"query_params_blacklist": {
"enabled": null,
"value": null
},
"query_params_whitelist": {
"enabled": null,
"value": null
},
"country_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"ip_address_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"user_agent_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": [],
"casesensitive": false
},
"referrer_acl": {
"enabled": null,
"policy_type": "allow",
"noreferer": false,
"excepted_values": [],
"ip_whitelists": []
},
"secure_key": {
"enabled": null,
"policy_type": 0,
"session": 0,
"key": "",
"ip_whitelists": [],
"type": false
},
"gzipOn": {
"enabled": null
},
"fetch_compressed": {
"enabled": null
},
"brotli_compression": {
"enabled": null,
"value": ""
},
"slice": {
"enabled": null
},
"limit_bandwidth": {
"enabled": null,
"limit_type": "static",
"speed": 12000,
"buffer": 1024
},
"disposition": {
"enabled": null,
"value": 0
},
"limit_request": {
"enabled": null,
"rate": 9,
"burst": 98,
"delay": 96,
"ip_whitelists": []
},
"rewrite": {
"enabled": null,
"body": "",
"flag": "break"
},
"host_redirect": {
"enabled": null,
"to": "",
"value": []
},
"redirect_http_to_https": {
"enabled": null
},
"allowedHttpMethods": {
"enabled": null,
"value": null
},
"follow_origin_redirect": {
"enabled": null,
"codes": []
},
"hsts": {
"enabled": null,
"referrerPolicy": "no-referrer",
"includeSubDomains": true,
"preload": true
},
"xff": {
"enabled": null
},
"sni": {
"enabled": null,
"sni_type": "dynamic",
"custom_hostname": ""
},
"tls_versions": {
"enabled": null,
"value": []
},
"image_stack": {
"enabled": null,
"quality": "Disabled",
"webp": "Disabled",
"avif": "Disabled",
"png_loseless": "true"
},
"asset_stack": {
"enabled": null,
"combine_css": false,
"MaxCombinedCssBytes": -1,
"flatten_css_imports": false,
"CssFlattenMaxBytes": null,
"inline_css": false,
"CssInlineMaxBytes": null,
"outline_css": false,
"CssOutlineMinBytes": null,
"rewrite_css": false,
"fallback_rewrite_css_urls": false,
"combine_javascript": false,
"MaxCombinedJsBytes": null,
"defer_javascript": false,
"inline_javascript": false,
"JsInlineMaxBytes": null,
"rewrite_javascript": false,
"outline_javascript": false,
"JsOutlineMinBytes": null,
"collapse_whitespace": false,
"remove_comments": false,
"remove_quotes": false,
"CombineAcrossPaths": false
},
"cms": {
"enabled": null,
"value": []
},
"force_return": {
"enabled": null,
"code": 200,
"body": ""
},
"stale": {
"enabled": null,
"value": ""
},
"staticHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"staticRequestHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"response_headers_hiding_policy": {
"enabled": null,
"mode": "hide",
"expected": {
"hide": [],
"show": []
}
},
"hostHeader": {
"enabled": null,
"control": "forward",
"custom": ""
},
"forward_host_header": {
"enabled": null
},
"honor_vary": {
"enabled": null
},
"cors": {
"enabled": null,
"control": "*",
"always": false,
"value": "*",
"custom": ""
}
}
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/push/12345/rules/behavior/1", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/12345/rules/behavior/1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"name": "default",
"rule": "/",
"options": {
"edge_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"midgress_cache_settings": {
"enabled": null,
"control": "default",
"default": "345600s",
"value": "345600s",
"revalidate": null,
"custom": {
"default": "",
"value": ""
},
"custom_values": {
"codes": [],
"value": []
}
},
"browser_cache_settings": {
"enabled": null,
"control": "default",
"value": "345600s",
"custom": {
"value": ""
}
},
"ignore_cookie": {
"enabled": null
},
"ignoreQueryString": {
"enabled": null,
"control": null,
"value": null
},
"query_params_blacklist": {
"enabled": null,
"value": null
},
"query_params_whitelist": {
"enabled": null,
"value": null
},
"country_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"ip_address_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": []
},
"user_agent_acl": {
"enabled": null,
"policy_type": "allow",
"excepted_values": [],
"ip_whitelists": [],
"casesensitive": false
},
"referrer_acl": {
"enabled": null,
"policy_type": "allow",
"noreferer": false,
"excepted_values": [],
"ip_whitelists": []
},
"secure_key": {
"enabled": null,
"policy_type": 0,
"session": 0,
"key": "",
"ip_whitelists": [],
"type": false
},
"gzipOn": {
"enabled": null
},
"fetch_compressed": {
"enabled": null
},
"brotli_compression": {
"enabled": null,
"value": ""
},
"slice": {
"enabled": null
},
"limit_bandwidth": {
"enabled": null,
"limit_type": "static",
"speed": 12000,
"buffer": 1024
},
"disposition": {
"enabled": null,
"value": 0
},
"limit_request": {
"enabled": null,
"rate": 9,
"burst": 98,
"delay": 96,
"ip_whitelists": []
},
"rewrite": {
"enabled": null,
"body": "",
"flag": "break"
},
"host_redirect": {
"enabled": null,
"to": "",
"value": []
},
"redirect_http_to_https": {
"enabled": null
},
"allowedHttpMethods": {
"enabled": null,
"value": null
},
"follow_origin_redirect": {
"enabled": null,
"codes": []
},
"hsts": {
"enabled": null,
"referrerPolicy": "no-referrer",
"includeSubDomains": true,
"preload": true
},
"xff": {
"enabled": null
},
"sni": {
"enabled": null,
"sni_type": "dynamic",
"custom_hostname": ""
},
"tls_versions": {
"enabled": null,
"value": []
},
"image_stack": {
"enabled": null,
"quality": "Disabled",
"webp": "Disabled",
"avif": "Disabled",
"png_loseless": "true"
},
"asset_stack": {
"enabled": null,
"combine_css": false,
"MaxCombinedCssBytes": -1,
"flatten_css_imports": false,
"CssFlattenMaxBytes": null,
"inline_css": false,
"CssInlineMaxBytes": null,
"outline_css": false,
"CssOutlineMinBytes": null,
"rewrite_css": false,
"fallback_rewrite_css_urls": false,
"combine_javascript": false,
"MaxCombinedJsBytes": null,
"defer_javascript": false,
"inline_javascript": false,
"JsInlineMaxBytes": null,
"rewrite_javascript": false,
"outline_javascript": false,
"JsOutlineMinBytes": null,
"collapse_whitespace": false,
"remove_comments": false,
"remove_quotes": false,
"CombineAcrossPaths": false
},
"cms": {
"enabled": null,
"value": []
},
"force_return": {
"enabled": null,
"code": 200,
"body": ""
},
"stale": {
"enabled": null,
"value": ""
},
"staticHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"staticRequestHeaders": {
"enabled": null,
"keys": [],
"values": []
},
"response_headers_hiding_policy": {
"enabled": null,
"mode": "hide",
"expected": {
"hide": [],
"show": []
}
},
"hostHeader": {
"enabled": null,
"control": "forward",
"custom": ""
},
"forward_host_header": {
"enabled": null
},
"honor_vary": {
"enabled": null
},
"cors": {
"enabled": null,
"control": "*",
"always": false,
"value": "*",
"custom": ""
}
}
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone Behavior Updated. Please wait till the rules validation & deployment completes."
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/zones/vod/push/{zoneId}/rules/behavior/{behaviorId}Target server for requests. Edit to use your own host.
API key (sent in header)
Numeric ID of the zone
Numeric identifier of the default behavior record
The media type of the request body
Pre-populated behavior name. Send back as received.
Pre-populated behavior rule pattern. Send back as received.
Container for all behavior option groups.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Container for all behavior option groups.
Controls how long the edge CDN caches content.
[][]Controls midgress (mid-tier) cache duration.
nulldefaultvalue345600s345600snull[][]Controls Cache-Control headers sent to the client browser.
nulldefaultno-cachecustom345600sControls whether query strings are considered when caching. Mutually exclusive with query_params_blacklist and query_params_whitelist.
Exclude specific query parameters from the cache key.
nullnullInclude only specific query parameters in the cache key.
nullnullAllow or block requests from specific countries.
nullallowdeny[][]Allow or block requests from specific IP addresses.
nullallowdeny[][]Allow or block requests based on the User-Agent header.
nullallowdeny[][]falseAllow or block requests based on the Referer header.
nullallowdenyfalse[][]Protect content with signed URL tokens.
null[]Enable edge GZip compression of responses.
nullRequest compressed content from origin.
nullEnable Brotli compression.
nullSplits large files into slices for parallel delivery.
nullPer-connection download speed throttling.
nullstaticdynamic120001024Sets Content-Disposition attachment on responses.
null0Per-IP request rate limiting.
null99896[]URL rewrite rule applied before forwarding to origin.
Redirect requests to a different hostname.
Permanently redirect all HTTP requests to HTTPS (301).
nullRestrict which HTTP methods the CDN forwards to origin.
nullnullFollow HTTP redirects returned by the origin.
null[]HTTP Strict Transport Security configuration.
nullno-referrerno-referrer-when-downgradeoriginorigin-when-cross-originsame-originstrict-originstrict-origin-when-cross-originunsafe-urltruetrueAdd the X-Forwarded-For header with the client IP when forwarding to origin.
nullSNI hostname used in TLS handshake toward origin.
TLS version restrictions. Only available when updating default behaviors, not available in rule editing.
On-the-fly image optimization.
nullDisabledLowMediumHighDisabledEnabledDisabledEnabledtruefalseWeb performance optimization for CSS and JavaScript assets.
nullfalse-1falsenullfalsenullfalsenullfalsefalsefalsenullfalsefalsenullfalsefalsenullfalsefalsefalsefalseCMS-specific caching optimizations.
null[]Return a fixed HTTP status code for matched requests.
Serve stale cached content if origin is unreachable.
nullAdd or override response headers.
Adds or overrides headers on the request forwarded to origin.
Suppress specific response headers before delivery to the client.
Controls the Host header sent to origin.
Legacy alias for the Host Header setting. Send alongside hostHeader.
nullRespect the Vary header from origin when building the cache key.
nullCORS header support.
null*false*Responses
Status of the API response.
successerrorerror